API reference
GET
/organization/{id}/uat/agent/UnattendedGroups/{uatID}Get unattended group details
Get a single unattended group by ID. Response includes ws_url and beam_config.
Authorization
bearerAuth http (bearer)
Parameters
id (path) Required
Organization ID
string
uatID (path) Required
Beam group ID
string
Responses
200
OK
application/json
object
Unattended group with ws_url and beam_config
Name
Group name
Group name
isActiveboolean
Whether the group is active
boolean
Whether the group is active
deviceCountinteger
Number of devices in the group
integer
Number of devices in the group
wake_on_lan
Wake-on-LAN support
Wake-on-LAN support
Organization
Organization attributes
Organization attributes
plaintextKey
Plaintext key
Plaintext key
OrganizationId
purging_policy
acl_access_mode
Access mode for the group
Access mode for the group
purging_policy_type
purging_policy_query
Purging policy query configuration
Purging policy query configuration
purging_policy_duration
403
Authorization Problem - either the JWT is malformed or the signature is bad, or permission is denied
application/json
object
codenumber
number
refcodenumber
number
descriptionstring
string
X-Request-Idstring
string
{
"PermissionDenied": {
"value": {
"code": 403,
"refcode": 200403,
"description": "Authorization token is invalid: Error request id: 1-62ed207a-24baa293558168e06b8402c3 [8/5/2022, 6:51:54 AM PST]",
"X-Request-Id": "1-62ed207a-24baa293558168e06b8402c3"
}
},
"MalformedJWTOrBadSignature": {
"value": {
"code": 403,
"refcode": 200403,
"description": "Authorization token is invalid: JsonWebTokenError request id: 1-62ed1a55-0265e424598b4f1b580bd784 [8/5/2022, 6:25:41 AM PST]",
"X-Request-Id": "1-62ed1a55-0265e424598b4f1b580bd784"
}
}
}